Skip to content
DocsOpenAPI spec

    List Object Storage Keys

    GET/v1/storage/keys

    List all Object Storage Keys. Secret access keys are not included.

    Query ParametersExpand Collapse
    project_id: string

    Project ID of resources to request

    cursor: optional string

    Pagination cursor returned by a previous request. Only valid for the same filters and sort order.

    limit: optional number

    Maximum number of items to return

    maximum100
    minimum10
    name: optional string

    Filter by a case-insensitive substring of the Object Storage Key name

    region: optional string

    Filter by region

    sort: optional string

    Comma-separated sort terms in precedence order, each field:asc or field:desc. Fields: created_at, updated_at, name

    ReturnsExpand Collapse
    ObjectStorageKeyList object { items, pagination }
    items: array of ObjectStorageKey { id, access_key, created_at, 5 more }
    id: string

    Unique identifier for the Object Storage Key.

    access_key: string

    S3 access key ID.

    created_at: string

    When the Object Storage Key was created.

    formatdate-time
    name: string

    Name of the Object Storage Key.

    project_id: string

    Project ID the Object Storage Key belongs to.

    region: RegionName

    Region the resource is in.

    One of the following:
    "us-sva-2"
    "us-wdc-1"

    Status of the resource.

    One of the following:
    "pending"
    "creating"
    "updating"
    "ready"
    "deleting"
    "deleted"
    "error"
    "suspended"
    updated_at: string

    When the Object Storage Key was updated.

    formatdate-time

    List Object Storage Keys

    curl https://api.nirvanalabs.io/v1/storage/keys \
        -H "Authorization: Bearer $NIRVANA_LABS_API_KEY"
    {
      "items": [
        {
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "access_key": "0555B35654AD1656D804",
          "created_at": "2025-01-01T00:00:00Z",
          "name": "ci-uploads",
          "project_id": "123e4567-e89b-12d3-a456-426614174000",
          "region": "us-sva-2",
          "status": "ready",
          "updated_at": "2025-01-01T00:00:00Z"
        }
      ],
      "pagination": {
        "next_cursor": "RhwniMT4B74siYZcPF8TnCdGI1l9rpPvg",
        "previous_cursor": "ARhwnmi1hA7wEbHbMjdYQlOB_ZusP4fYvw",
        "total_count": 125
      }
    }
    Returns Examples
    {
      "items": [
        {
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "access_key": "0555B35654AD1656D804",
          "created_at": "2025-01-01T00:00:00Z",
          "name": "ci-uploads",
          "project_id": "123e4567-e89b-12d3-a456-426614174000",
          "region": "us-sva-2",
          "status": "ready",
          "updated_at": "2025-01-01T00:00:00Z"
        }
      ],
      "pagination": {
        "next_cursor": "RhwniMT4B74siYZcPF8TnCdGI1l9rpPvg",
        "previous_cursor": "ARhwnmi1hA7wEbHbMjdYQlOB_ZusP4fYvw",
        "total_count": 125
      }
    }